be.vlaanderen.mercurius.mohm.common.v7

## Class SupportAndRepairViewBTCAdjustmentType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.SupportAndRepairViewBTCAdjustmentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:36+01:00",
                 comments="JAXB RI v2.3.7")
      public class SupportAndRepairViewBTCAdjustmentType
      extends Object
      implements Serializable

  Generiek type voor het deel BTC in het beeld van een actief budget onderhoud en herstel.

  Java class for SupportAndRepairViewBTCAdjustmentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SupportAndRepairViewBTCAdjustmentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}EquipmentIDType" minOccurs="0"/>
               <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType" minOccurs="0"/>
               <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}CareServiceCodeStatusType" minOccurs="0"/>
               <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SupportAndRepairViewBTCAdjustmentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCareServiceCode()` Gets the value of the careServiceCode property.
    `String` | `getEquipmentID()` Gets the value of the equipmentID property.
    `List<String>` | `getReasons()` Gets the value of the reasons property.
    `CareServiceCodeStatusType` | `getStatus()` Gets the value of the status property.
    `org.joda.time.DateTime` | `getStatusDate()` Gets the value of the statusDate property.
    `void` | `setCareServiceCode(String value)` Sets the value of the careServiceCode property.
    `void` | `setEquipmentID(String value)` Sets the value of the equipmentID property.
    `void` | `setStatus(CareServiceCodeStatusType value)` Sets the value of the status property.
    `void` | `setStatusDate(org.joda.time.DateTime value)` Sets the value of the statusDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SupportAndRepairViewBTCAdjustmentType

          public SupportAndRepairViewBTCAdjustmentType()

  - ### Method Detail

    - #### getEquipmentID

          public String getEquipmentID()

      Gets the value of the equipmentID property.
      Returns:
        possible object is `String`

    - #### setEquipmentID

          public void setEquipmentID(String value)

      Sets the value of the equipmentID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCareServiceCode

          public String getCareServiceCode()

      Gets the value of the careServiceCode property.
      Returns:
        possible object is `String`

    - #### setCareServiceCode

          public void setCareServiceCode(String value)

      Sets the value of the careServiceCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatus

          public CareServiceCodeStatusType getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `CareServiceCodeStatusType`

    - #### setStatus

          public void setStatus(CareServiceCodeStatusType value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `CareServiceCodeStatusType`

    - #### getStatusDate

          public org.joda.time.DateTime getStatusDate()

      Gets the value of the statusDate property.
      Returns:
        possible object is `String`

    - #### setStatusDate

          public void setStatusDate(org.joda.time.DateTime value)

      Sets the value of the statusDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReasons

          public List<String> getReasons()

      Gets the value of the reasons property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

      For example, to add a new item, do as follows:

              getReasons().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

Connector Packaging generic 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.